Subject: Re: bug#22681: Shows right-to-left text characters in the wrong order

From: John Wiegley <[email-masked]>
Date: Fri, 19 Feb 2016 21:55:23 -0800

>>>>> Eli Zaretskii <[email-masked]> writes:

>> The Arabic word for dog is al-kalb (الكلب), but when I try to insert this
>> word into an otherwise left-to-right
>> document, Emacs renders the characters of al-kalb backwards, forming nonsense.

> Do you see the same with the Arabic and Hebrew greetings in the buffer
> presented by the "C-h H" command?

> Anyway, this sounds like something OS X specific, because on my system
> (which is not OS X) the Arabic word you cited is displayed in its correct
> visual order.

It displays here on OS X correctly.  Which font are you using?  What is the
buffer coding system?  How was Emacs built?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2